[arch-commits] Commit in mongodb/repos (16 files)
Felix Yan
fyan at archlinux.org
Fri Apr 10 10:18:20 UTC 2015
Date: Friday, April 10, 2015 @ 12:18:20
Author: fyan
Revision: 131095
archrelease: copy trunk to community-i686, community-x86_64
Added:
mongodb/repos/community-i686/PKGBUILD
(from rev 131093, mongodb/trunk/PKGBUILD)
mongodb/repos/community-i686/mongodb.conf
(from rev 131093, mongodb/trunk/mongodb.conf)
mongodb/repos/community-i686/mongodb.install
(from rev 131093, mongodb/trunk/mongodb.install)
mongodb/repos/community-i686/mongodb.service
(from rev 131093, mongodb/trunk/mongodb.service)
mongodb/repos/community-x86_64/PKGBUILD
(from rev 131094, mongodb/trunk/PKGBUILD)
mongodb/repos/community-x86_64/mongodb.conf
(from rev 131094, mongodb/trunk/mongodb.conf)
mongodb/repos/community-x86_64/mongodb.install
(from rev 131094, mongodb/trunk/mongodb.install)
mongodb/repos/community-x86_64/mongodb.service
(from rev 131094, mongodb/trunk/mongodb.service)
Deleted:
mongodb/repos/community-i686/PKGBUILD
mongodb/repos/community-i686/mongodb.conf
mongodb/repos/community-i686/mongodb.install
mongodb/repos/community-i686/mongodb.service
mongodb/repos/community-x86_64/PKGBUILD
mongodb/repos/community-x86_64/mongodb.conf
mongodb/repos/community-x86_64/mongodb.install
mongodb/repos/community-x86_64/mongodb.service
----------------------------------+
/PKGBUILD | 144 +++++++++++++++++++++++++++++++++++++
/mongodb.conf | 16 ++++
/mongodb.install | 64 ++++++++++++++++
/mongodb.service | 20 +++++
community-i686/PKGBUILD | 72 ------------------
community-i686/mongodb.conf | 8 --
community-i686/mongodb.install | 32 --------
community-i686/mongodb.service | 10 --
community-x86_64/PKGBUILD | 72 ------------------
community-x86_64/mongodb.conf | 8 --
community-x86_64/mongodb.install | 32 --------
community-x86_64/mongodb.service | 10 --
12 files changed, 244 insertions(+), 244 deletions(-)
Deleted: community-i686/PKGBUILD
===================================================================
--- community-i686/PKGBUILD 2015-04-10 10:17:52 UTC (rev 131094)
+++ community-i686/PKGBUILD 2015-04-10 10:18:20 UTC (rev 131095)
@@ -1,72 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Sven-Hendrik Haase <sh at lutzhaase.com>
-# Contributor: Thomas Dziedzic < gostrc at gmail >
-# Contributor: Mathias Stearn <mathias at 10gen.com>
-# Contributor: Alec Thomas
-
-pkgname=mongodb
-pkgver=3.0.1
-pkgrel=1
-pkgdesc='A high-performance, open source, schema-free document-oriented database'
-arch=('i686' 'x86_64')
-url='http://www.mongodb.org'
-license=('AGPL3')
-depends=('pcre' 'snappy' 'openssl' 'libsasl' 'boost-libs') # 'libyaml' 'yaml-cpp' 'v8' 'gperftools')
-makedepends=('scons' 'readline' 'ncurses' 'libpcap' 'boost' 'clang')
-checkdepends=('python2-pymongo')
-optdepends=('libpcap: needed for mongosniff'
- 'mongodb-tools: mongoimport, mongodump, mongotop, etc')
-backup=('etc/mongodb.conf')
-install=mongodb.install
-source=("http://downloads.mongodb.org/src/mongodb-src-r${pkgver}.tar.gz"
- 'mongodb.conf' 'mongodb.service')
-sha512sums=('90a32181b472c5852b3839d2b22fe88dbaeb2f7621142ee05a0b35834b7f231b6099d8e0f077c0622fb65604e0140e154a5ff9b9c6f281e189cb251e18497025'
- '05dead727d3ea5fe8af1a3c3888693f6b3e2b8cb7f197a5d793352e10d2c524e96c9a5c55ad2e88c1114643a9612ec0b26a2574b48a5260a9b51ec8941461f1c'
- '177251404b2e818ae2b546fe8b13cb76e348c99e85c7bef22a04b0f07b600fd515a309ede50214f4198594388a6d2b31f46e945b9dae84aabb4dfa13b1123bb9')
-
-_scons_args=(
- --use-system-pcre
- --use-system-snappy
- --use-sasl-client
- --use-system-boost
- --variant-dir=build
- --ssl
- --disable-warnings-as-errors
- --cc=clang --cxx=clang++
- LIBS=atomic
-)
-# --use-system-v8 (Doesn't compile)
-# --use-system-yaml (Doesn't compile)
-# --use-system-tcmalloc (Disabled as upstream suggests in https://jira.mongodb.org/browse/SERVER-17447?focusedCommentId=841890&page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#comment-841890)
-# LIBS=atomic is a workaround for https://jira.mongodb.org/browse/SERVER-17447
-
-build() {
- export SCONSFLAGS="$MAKEFLAGS"
-
- cd mongodb-src-r${pkgver}
-
- scons all "${_scons_args[@]}"
-}
-
-check() {
- # Tests not passing
- export SCONSFLAGS="$MAKEFLAGS"
-
- cd mongodb-src-r${pkgver}
-
- scons smoke smokeCppUnittests smokeJsCore --smokedbprefix="$srcdir" "${_scons_args[@]}" || warning "Tests failed"
-}
-
-package() {
- export SCONSFLAGS="$MAKEFLAGS"
-
- cd mongodb-src-r${pkgver}
-
- scons install --prefix="$pkgdir/usr" "${_scons_args[@]}"
-
- install -Dm644 "$srcdir/mongodb.conf" "$pkgdir/etc/mongodb.conf"
- install -Dm644 "$srcdir/mongodb.service" "$pkgdir/usr/lib/systemd/system/mongodb.service"
- install -dm700 "$pkgdir/var/lib/mongodb"
- install -dm755 "$pkgdir/var/log/mongodb"
-}
Copied: mongodb/repos/community-i686/PKGBUILD (from rev 131093, mongodb/trunk/PKGBUILD)
===================================================================
--- community-i686/PKGBUILD (rev 0)
+++ community-i686/PKGBUILD 2015-04-10 10:18:20 UTC (rev 131095)
@@ -0,0 +1,72 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Sven-Hendrik Haase <sh at lutzhaase.com>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: Mathias Stearn <mathias at 10gen.com>
+# Contributor: Alec Thomas
+
+pkgname=mongodb
+pkgver=3.0.2
+pkgrel=1
+pkgdesc='A high-performance, open source, schema-free document-oriented database'
+arch=('i686' 'x86_64')
+url='http://www.mongodb.org'
+license=('AGPL3')
+depends=('pcre' 'snappy' 'openssl' 'libsasl' 'boost-libs') # 'libyaml' 'yaml-cpp' 'v8' 'gperftools')
+makedepends=('scons' 'readline' 'ncurses' 'libpcap' 'boost' 'clang')
+checkdepends=('python2-pymongo')
+optdepends=('libpcap: needed for mongosniff'
+ 'mongodb-tools: mongoimport, mongodump, mongotop, etc')
+backup=('etc/mongodb.conf')
+install=mongodb.install
+source=("http://downloads.mongodb.org/src/mongodb-src-r${pkgver}.tar.gz"
+ 'mongodb.conf' 'mongodb.service')
+sha512sums=('ec14529f39459835644dd681a98133c276bb96c676ce3ad91c20dff1ce96aeda3e14f08c05019a72a6f8eaadfed7e176944b42187a273b3e82001946126931d7'
+ '05dead727d3ea5fe8af1a3c3888693f6b3e2b8cb7f197a5d793352e10d2c524e96c9a5c55ad2e88c1114643a9612ec0b26a2574b48a5260a9b51ec8941461f1c'
+ '177251404b2e818ae2b546fe8b13cb76e348c99e85c7bef22a04b0f07b600fd515a309ede50214f4198594388a6d2b31f46e945b9dae84aabb4dfa13b1123bb9')
+
+_scons_args=(
+ --use-system-pcre
+ --use-system-snappy
+ --use-sasl-client
+ --use-system-boost
+ --variant-dir=build
+ --ssl
+ --disable-warnings-as-errors
+ --cc=clang --cxx=clang++
+ LIBS=atomic
+)
+# --use-system-v8 (Doesn't compile)
+# --use-system-yaml (Doesn't compile)
+# --use-system-tcmalloc (Disabled as upstream suggests in https://jira.mongodb.org/browse/SERVER-17447?focusedCommentId=841890&page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#comment-841890)
+# LIBS=atomic is a workaround for https://jira.mongodb.org/browse/SERVER-17447
+
+build() {
+ export SCONSFLAGS="$MAKEFLAGS"
+
+ cd mongodb-src-r${pkgver}
+
+ scons all "${_scons_args[@]}"
+}
+
+check() {
+ # Tests not passing
+ export SCONSFLAGS="$MAKEFLAGS"
+
+ cd mongodb-src-r${pkgver}
+
+ scons smoke smokeCppUnittests smokeJsCore --smokedbprefix="$srcdir" "${_scons_args[@]}" || warning "Tests failed"
+}
+
+package() {
+ export SCONSFLAGS="$MAKEFLAGS"
+
+ cd mongodb-src-r${pkgver}
+
+ scons install --prefix="$pkgdir/usr" "${_scons_args[@]}"
+
+ install -Dm644 "$srcdir/mongodb.conf" "$pkgdir/etc/mongodb.conf"
+ install -Dm644 "$srcdir/mongodb.service" "$pkgdir/usr/lib/systemd/system/mongodb.service"
+ install -dm700 "$pkgdir/var/lib/mongodb"
+ install -dm755 "$pkgdir/var/log/mongodb"
+}
Deleted: community-i686/mongodb.conf
===================================================================
--- community-i686/mongodb.conf 2015-04-10 10:17:52 UTC (rev 131094)
+++ community-i686/mongodb.conf 2015-04-10 10:18:20 UTC (rev 131095)
@@ -1,8 +0,0 @@
-# See http://www.mongodb.org/display/DOCS/File+Based+Configuration for format details
-# Run mongod --help to see a list of options
-
-bind_ip = 127.0.0.1
-quiet = true
-dbpath = /var/lib/mongodb
-logpath = /var/log/mongodb/mongod.log
-logappend = true
Copied: mongodb/repos/community-i686/mongodb.conf (from rev 131093, mongodb/trunk/mongodb.conf)
===================================================================
--- community-i686/mongodb.conf (rev 0)
+++ community-i686/mongodb.conf 2015-04-10 10:18:20 UTC (rev 131095)
@@ -0,0 +1,8 @@
+# See http://www.mongodb.org/display/DOCS/File+Based+Configuration for format details
+# Run mongod --help to see a list of options
+
+bind_ip = 127.0.0.1
+quiet = true
+dbpath = /var/lib/mongodb
+logpath = /var/log/mongodb/mongod.log
+logappend = true
Deleted: community-i686/mongodb.install
===================================================================
--- community-i686/mongodb.install 2015-04-10 10:17:52 UTC (rev 131094)
+++ community-i686/mongodb.install 2015-04-10 10:18:20 UTC (rev 131095)
@@ -1,32 +0,0 @@
-# vim: syntax=sh
-
-post_install() {
- useradd -r -g daemon -d /var/lib/mongodb -s /bin/bash mongodb
- chown -R mongodb:daemon /var/lib/mongodb
- chown -R mongodb:daemon /var/log/mongodb
-
- if [ "$(uname -m)" != "x86_64" ]
- then
- echo '==> Warning: the 32 bit version of MongoDB is limited to about 2GB of data.'
- echo '==> See http://blog.mongodb.org/post/137788967/32-bit-limitations'
- fi
-}
-
-post_upgrade() {
- chown -R mongodb:daemon /var/lib/mongodb
- chown -R mongodb:daemon /var/log/mongodb
-
- if [ "$(vercmp $2 1.8.2-3)" -lt 0 ]
- then
- # have to fix my fudge up in 1.8.2-2 and 1.8.2-3
- # added july 5th, 2011
- usermod -s /bin/bash mongodb >& /dev/null
- echo 'The dbpath has changed from /var/state/mongodb to /var/lib/mongodb'
- echo 'Make sure you move your data files to the new dbpath before you start/restart mongodb'
- echo 'The logpath has changed from /var/log/mongod to /var/log/mongodb/mongod.log'
- fi
-}
-
-pre_remove() {
- userdel mongodb
-}
Copied: mongodb/repos/community-i686/mongodb.install (from rev 131093, mongodb/trunk/mongodb.install)
===================================================================
--- community-i686/mongodb.install (rev 0)
+++ community-i686/mongodb.install 2015-04-10 10:18:20 UTC (rev 131095)
@@ -0,0 +1,32 @@
+# vim: syntax=sh
+
+post_install() {
+ useradd -r -g daemon -d /var/lib/mongodb -s /bin/bash mongodb
+ chown -R mongodb:daemon /var/lib/mongodb
+ chown -R mongodb:daemon /var/log/mongodb
+
+ if [ "$(uname -m)" != "x86_64" ]
+ then
+ echo '==> Warning: the 32 bit version of MongoDB is limited to about 2GB of data.'
+ echo '==> See http://blog.mongodb.org/post/137788967/32-bit-limitations'
+ fi
+}
+
+post_upgrade() {
+ chown -R mongodb:daemon /var/lib/mongodb
+ chown -R mongodb:daemon /var/log/mongodb
+
+ if [ "$(vercmp $2 1.8.2-3)" -lt 0 ]
+ then
+ # have to fix my fudge up in 1.8.2-2 and 1.8.2-3
+ # added july 5th, 2011
+ usermod -s /bin/bash mongodb >& /dev/null
+ echo 'The dbpath has changed from /var/state/mongodb to /var/lib/mongodb'
+ echo 'Make sure you move your data files to the new dbpath before you start/restart mongodb'
+ echo 'The logpath has changed from /var/log/mongod to /var/log/mongodb/mongod.log'
+ fi
+}
+
+pre_remove() {
+ userdel mongodb
+}
Deleted: community-i686/mongodb.service
===================================================================
--- community-i686/mongodb.service 2015-04-10 10:17:52 UTC (rev 131094)
+++ community-i686/mongodb.service 2015-04-10 10:18:20 UTC (rev 131095)
@@ -1,10 +0,0 @@
-[Unit]
-Description=High-performance, schema-free document-oriented database
-After=network.target
-
-[Service]
-User=mongodb
-ExecStart=/usr/bin/mongod --quiet --config /etc/mongodb.conf
-
-[Install]
-WantedBy=multi-user.target
Copied: mongodb/repos/community-i686/mongodb.service (from rev 131093, mongodb/trunk/mongodb.service)
===================================================================
--- community-i686/mongodb.service (rev 0)
+++ community-i686/mongodb.service 2015-04-10 10:18:20 UTC (rev 131095)
@@ -0,0 +1,10 @@
+[Unit]
+Description=High-performance, schema-free document-oriented database
+After=network.target
+
+[Service]
+User=mongodb
+ExecStart=/usr/bin/mongod --quiet --config /etc/mongodb.conf
+
+[Install]
+WantedBy=multi-user.target
Deleted: community-x86_64/PKGBUILD
===================================================================
--- community-x86_64/PKGBUILD 2015-04-10 10:17:52 UTC (rev 131094)
+++ community-x86_64/PKGBUILD 2015-04-10 10:18:20 UTC (rev 131095)
@@ -1,72 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Sven-Hendrik Haase <sh at lutzhaase.com>
-# Contributor: Thomas Dziedzic < gostrc at gmail >
-# Contributor: Mathias Stearn <mathias at 10gen.com>
-# Contributor: Alec Thomas
-
-pkgname=mongodb
-pkgver=3.0.1
-pkgrel=1
-pkgdesc='A high-performance, open source, schema-free document-oriented database'
-arch=('i686' 'x86_64')
-url='http://www.mongodb.org'
-license=('AGPL3')
-depends=('pcre' 'snappy' 'openssl' 'libsasl' 'boost-libs') # 'libyaml' 'yaml-cpp' 'v8' 'gperftools')
-makedepends=('scons' 'readline' 'ncurses' 'libpcap' 'boost' 'clang')
-checkdepends=('python2-pymongo')
-optdepends=('libpcap: needed for mongosniff'
- 'mongodb-tools: mongoimport, mongodump, mongotop, etc')
-backup=('etc/mongodb.conf')
-install=mongodb.install
-source=("http://downloads.mongodb.org/src/mongodb-src-r${pkgver}.tar.gz"
- 'mongodb.conf' 'mongodb.service')
-sha512sums=('90a32181b472c5852b3839d2b22fe88dbaeb2f7621142ee05a0b35834b7f231b6099d8e0f077c0622fb65604e0140e154a5ff9b9c6f281e189cb251e18497025'
- '05dead727d3ea5fe8af1a3c3888693f6b3e2b8cb7f197a5d793352e10d2c524e96c9a5c55ad2e88c1114643a9612ec0b26a2574b48a5260a9b51ec8941461f1c'
- '177251404b2e818ae2b546fe8b13cb76e348c99e85c7bef22a04b0f07b600fd515a309ede50214f4198594388a6d2b31f46e945b9dae84aabb4dfa13b1123bb9')
-
-_scons_args=(
- --use-system-pcre
- --use-system-snappy
- --use-sasl-client
- --use-system-boost
- --variant-dir=build
- --ssl
- --disable-warnings-as-errors
- --cc=clang --cxx=clang++
- LIBS=atomic
-)
-# --use-system-v8 (Doesn't compile)
-# --use-system-yaml (Doesn't compile)
-# --use-system-tcmalloc (Disabled as upstream suggests in https://jira.mongodb.org/browse/SERVER-17447?focusedCommentId=841890&page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#comment-841890)
-# LIBS=atomic is a workaround for https://jira.mongodb.org/browse/SERVER-17447
-
-build() {
- export SCONSFLAGS="$MAKEFLAGS"
-
- cd mongodb-src-r${pkgver}
-
- scons all "${_scons_args[@]}"
-}
-
-check() {
- # Tests not passing
- export SCONSFLAGS="$MAKEFLAGS"
-
- cd mongodb-src-r${pkgver}
-
- scons smoke smokeCppUnittests smokeJsCore --smokedbprefix="$srcdir" "${_scons_args[@]}" || warning "Tests failed"
-}
-
-package() {
- export SCONSFLAGS="$MAKEFLAGS"
-
- cd mongodb-src-r${pkgver}
-
- scons install --prefix="$pkgdir/usr" "${_scons_args[@]}"
-
- install -Dm644 "$srcdir/mongodb.conf" "$pkgdir/etc/mongodb.conf"
- install -Dm644 "$srcdir/mongodb.service" "$pkgdir/usr/lib/systemd/system/mongodb.service"
- install -dm700 "$pkgdir/var/lib/mongodb"
- install -dm755 "$pkgdir/var/log/mongodb"
-}
Copied: mongodb/repos/community-x86_64/PKGBUILD (from rev 131094, mongodb/trunk/PKGBUILD)
===================================================================
--- community-x86_64/PKGBUILD (rev 0)
+++ community-x86_64/PKGBUILD 2015-04-10 10:18:20 UTC (rev 131095)
@@ -0,0 +1,72 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Sven-Hendrik Haase <sh at lutzhaase.com>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: Mathias Stearn <mathias at 10gen.com>
+# Contributor: Alec Thomas
+
+pkgname=mongodb
+pkgver=3.0.2
+pkgrel=1
+pkgdesc='A high-performance, open source, schema-free document-oriented database'
+arch=('i686' 'x86_64')
+url='http://www.mongodb.org'
+license=('AGPL3')
+depends=('pcre' 'snappy' 'openssl' 'libsasl' 'boost-libs') # 'libyaml' 'yaml-cpp' 'v8' 'gperftools')
+makedepends=('scons' 'readline' 'ncurses' 'libpcap' 'boost' 'clang')
+checkdepends=('python2-pymongo')
+optdepends=('libpcap: needed for mongosniff'
+ 'mongodb-tools: mongoimport, mongodump, mongotop, etc')
+backup=('etc/mongodb.conf')
+install=mongodb.install
+source=("http://downloads.mongodb.org/src/mongodb-src-r${pkgver}.tar.gz"
+ 'mongodb.conf' 'mongodb.service')
+sha512sums=('ec14529f39459835644dd681a98133c276bb96c676ce3ad91c20dff1ce96aeda3e14f08c05019a72a6f8eaadfed7e176944b42187a273b3e82001946126931d7'
+ '05dead727d3ea5fe8af1a3c3888693f6b3e2b8cb7f197a5d793352e10d2c524e96c9a5c55ad2e88c1114643a9612ec0b26a2574b48a5260a9b51ec8941461f1c'
+ '177251404b2e818ae2b546fe8b13cb76e348c99e85c7bef22a04b0f07b600fd515a309ede50214f4198594388a6d2b31f46e945b9dae84aabb4dfa13b1123bb9')
+
+_scons_args=(
+ --use-system-pcre
+ --use-system-snappy
+ --use-sasl-client
+ --use-system-boost
+ --variant-dir=build
+ --ssl
+ --disable-warnings-as-errors
+ --cc=clang --cxx=clang++
+ LIBS=atomic
+)
+# --use-system-v8 (Doesn't compile)
+# --use-system-yaml (Doesn't compile)
+# --use-system-tcmalloc (Disabled as upstream suggests in https://jira.mongodb.org/browse/SERVER-17447?focusedCommentId=841890&page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#comment-841890)
+# LIBS=atomic is a workaround for https://jira.mongodb.org/browse/SERVER-17447
+
+build() {
+ export SCONSFLAGS="$MAKEFLAGS"
+
+ cd mongodb-src-r${pkgver}
+
+ scons all "${_scons_args[@]}"
+}
+
+check() {
+ # Tests not passing
+ export SCONSFLAGS="$MAKEFLAGS"
+
+ cd mongodb-src-r${pkgver}
+
+ scons smoke smokeCppUnittests smokeJsCore --smokedbprefix="$srcdir" "${_scons_args[@]}" || warning "Tests failed"
+}
+
+package() {
+ export SCONSFLAGS="$MAKEFLAGS"
+
+ cd mongodb-src-r${pkgver}
+
+ scons install --prefix="$pkgdir/usr" "${_scons_args[@]}"
+
+ install -Dm644 "$srcdir/mongodb.conf" "$pkgdir/etc/mongodb.conf"
+ install -Dm644 "$srcdir/mongodb.service" "$pkgdir/usr/lib/systemd/system/mongodb.service"
+ install -dm700 "$pkgdir/var/lib/mongodb"
+ install -dm755 "$pkgdir/var/log/mongodb"
+}
Deleted: community-x86_64/mongodb.conf
===================================================================
--- community-x86_64/mongodb.conf 2015-04-10 10:17:52 UTC (rev 131094)
+++ community-x86_64/mongodb.conf 2015-04-10 10:18:20 UTC (rev 131095)
@@ -1,8 +0,0 @@
-# See http://www.mongodb.org/display/DOCS/File+Based+Configuration for format details
-# Run mongod --help to see a list of options
-
-bind_ip = 127.0.0.1
-quiet = true
-dbpath = /var/lib/mongodb
-logpath = /var/log/mongodb/mongod.log
-logappend = true
Copied: mongodb/repos/community-x86_64/mongodb.conf (from rev 131094, mongodb/trunk/mongodb.conf)
===================================================================
--- community-x86_64/mongodb.conf (rev 0)
+++ community-x86_64/mongodb.conf 2015-04-10 10:18:20 UTC (rev 131095)
@@ -0,0 +1,8 @@
+# See http://www.mongodb.org/display/DOCS/File+Based+Configuration for format details
+# Run mongod --help to see a list of options
+
+bind_ip = 127.0.0.1
+quiet = true
+dbpath = /var/lib/mongodb
+logpath = /var/log/mongodb/mongod.log
+logappend = true
Deleted: community-x86_64/mongodb.install
===================================================================
--- community-x86_64/mongodb.install 2015-04-10 10:17:52 UTC (rev 131094)
+++ community-x86_64/mongodb.install 2015-04-10 10:18:20 UTC (rev 131095)
@@ -1,32 +0,0 @@
-# vim: syntax=sh
-
-post_install() {
- useradd -r -g daemon -d /var/lib/mongodb -s /bin/bash mongodb
- chown -R mongodb:daemon /var/lib/mongodb
- chown -R mongodb:daemon /var/log/mongodb
-
- if [ "$(uname -m)" != "x86_64" ]
- then
- echo '==> Warning: the 32 bit version of MongoDB is limited to about 2GB of data.'
- echo '==> See http://blog.mongodb.org/post/137788967/32-bit-limitations'
- fi
-}
-
-post_upgrade() {
- chown -R mongodb:daemon /var/lib/mongodb
- chown -R mongodb:daemon /var/log/mongodb
-
- if [ "$(vercmp $2 1.8.2-3)" -lt 0 ]
- then
- # have to fix my fudge up in 1.8.2-2 and 1.8.2-3
- # added july 5th, 2011
- usermod -s /bin/bash mongodb >& /dev/null
- echo 'The dbpath has changed from /var/state/mongodb to /var/lib/mongodb'
- echo 'Make sure you move your data files to the new dbpath before you start/restart mongodb'
- echo 'The logpath has changed from /var/log/mongod to /var/log/mongodb/mongod.log'
- fi
-}
-
-pre_remove() {
- userdel mongodb
-}
Copied: mongodb/repos/community-x86_64/mongodb.install (from rev 131094, mongodb/trunk/mongodb.install)
===================================================================
--- community-x86_64/mongodb.install (rev 0)
+++ community-x86_64/mongodb.install 2015-04-10 10:18:20 UTC (rev 131095)
@@ -0,0 +1,32 @@
+# vim: syntax=sh
+
+post_install() {
+ useradd -r -g daemon -d /var/lib/mongodb -s /bin/bash mongodb
+ chown -R mongodb:daemon /var/lib/mongodb
+ chown -R mongodb:daemon /var/log/mongodb
+
+ if [ "$(uname -m)" != "x86_64" ]
+ then
+ echo '==> Warning: the 32 bit version of MongoDB is limited to about 2GB of data.'
+ echo '==> See http://blog.mongodb.org/post/137788967/32-bit-limitations'
+ fi
+}
+
+post_upgrade() {
+ chown -R mongodb:daemon /var/lib/mongodb
+ chown -R mongodb:daemon /var/log/mongodb
+
+ if [ "$(vercmp $2 1.8.2-3)" -lt 0 ]
+ then
+ # have to fix my fudge up in 1.8.2-2 and 1.8.2-3
+ # added july 5th, 2011
+ usermod -s /bin/bash mongodb >& /dev/null
+ echo 'The dbpath has changed from /var/state/mongodb to /var/lib/mongodb'
+ echo 'Make sure you move your data files to the new dbpath before you start/restart mongodb'
+ echo 'The logpath has changed from /var/log/mongod to /var/log/mongodb/mongod.log'
+ fi
+}
+
+pre_remove() {
+ userdel mongodb
+}
Deleted: community-x86_64/mongodb.service
===================================================================
--- community-x86_64/mongodb.service 2015-04-10 10:17:52 UTC (rev 131094)
+++ community-x86_64/mongodb.service 2015-04-10 10:18:20 UTC (rev 131095)
@@ -1,10 +0,0 @@
-[Unit]
-Description=High-performance, schema-free document-oriented database
-After=network.target
-
-[Service]
-User=mongodb
-ExecStart=/usr/bin/mongod --quiet --config /etc/mongodb.conf
-
-[Install]
-WantedBy=multi-user.target
Copied: mongodb/repos/community-x86_64/mongodb.service (from rev 131094, mongodb/trunk/mongodb.service)
===================================================================
--- community-x86_64/mongodb.service (rev 0)
+++ community-x86_64/mongodb.service 2015-04-10 10:18:20 UTC (rev 131095)
@@ -0,0 +1,10 @@
+[Unit]
+Description=High-performance, schema-free document-oriented database
+After=network.target
+
+[Service]
+User=mongodb
+ExecStart=/usr/bin/mongod --quiet --config /etc/mongodb.conf
+
+[Install]
+WantedBy=multi-user.target
More information about the arch-commits
mailing list